cURL
curl --request GET \ --url https://api.sandbox.goteal.co/users/recurring \ --header 'X-API-KEY: <api-key>'
{ "users": [ { "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2019-05-17T00:00:00.000Z", "forename": "John", "surname": "Smith", "date_of_birth": "2019-05-17T00:00:00.000Z", "post_codes": [ "SW1A 1AA", "SW1A 1AB" ], "payroll_period_months": 123, "middle_names": "Smith", "ni_number": "QQ123456C", "ext_id": "ext-12345", "recurring_checks_enabled": true, "recurring_check_frequency": "WEEKLY", "recurring_check_end_date": "2019-05-17T00:00:00.000Z", "payslip_upload_enabled": true, "payroll_connections_enabled": true } ] }
Filter on users that are eligible for recurring checks, and those that are not
The offset to start at
x >= 1
The number of items to return
1 <= x <= 500
OK
Show child attributes